/// <reference types="react" />
import { FieldModel, ValidateOption } from './formulr';
import { IFormFieldProps } from './shared';
export { IFormFieldChildProps, IFormFieldProps } from './shared';
export declare function defaultGetValidateOption(): ValidateOption;
export declare function useInitialValue<T>(model: FieldModel<T>, initialValue?: T): void;
export declare function FormField<Value>(props: IFormFieldProps<Value>): JSX.Element;
